Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] Python3 Abhängigkeiten [Gelöst]  (Read 4783 times)

Offline wora

  • User
  • Posts: 39
[DE] Python3 Abhängigkeiten [Gelöst]
« on: 2017/02/01, 10:58:03 »
Hallo zusammen,
ich habe mir bei einem der letzten dist-upgrade ein Python Abhängigkeits Problem eingefangen ?


Bin ich der einzige ? Im Forum konnte ich nichts weiter finden was mir weiterhilft ?


Hier die Fehlermeldungen:
Code: [Select]
# apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
16 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] J
python3 (3.5.3-1) wird eingerichtet ...
running python rtupdate hooks for python3.5...
dpkg-query: Paket »gnome-applets-data« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gnome-applets-data
error running python rtupdate hook gnome-applets-data
dpkg-query: Paket »python3-uno« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: Paket »rhythmbox-plugins« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):                                                                                                                                                                                                                                             
  File "/usr/bin/py3clean", line 210, in <module>                                                                                                                                                                                                                               
    main()                                                                                                                                                                                                                                                                     
  File "/usr/bin/py3clean", line 196, in main                                                                                                                                                                                                                                   
    pfiles = set(dpf.from_package(options.package))                                                                                                                                                                                                                             
  File "/usr/share/python3/debpython/files.py", line 53, in from_package                                                                                                                                                                                                       
    raise Exception("cannot get content of %s" % package_name)                                                                                                                                                                                                                 
Exception: cannot get content of rhythmbox-plugins                                                                                                                                                                                                                             
error running python rtupdate hook rhythmbox-plugins                                                                                                                                                                                                                           
dpkg: Fehler beim Bearbeiten des Paketes python3 (--configure):                                                                                                                                                                                                                 
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 4 zurück                                                                                                                                                                                               
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von printer-driver-escpr:                                                                                                                                                                                                 
 printer-driver-escpr hängt ab von python3; aber:                                                                                                                                                                                                                               
  Paket python3 ist noch nicht konfiguriert.                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                               
dpkg: Fehler beim Bearbeiten des Paketes printer-driver-escpr (--configure):                                                                                                                                                                                                   
 Abhängigkeitsprobleme - verbleibt unkonfiguriert                                                                                                                                                                                                                               
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-gi-cairo:                                                                                                                                                                                                     
 python3-gi-cairo hängt ab von python3 (<< 3.6); aber:                                                                                                                                                                                                                         
  Paket python3 ist noch nicht konfiguriert.                                                                                                                                                                                                                                   
 python3-gi-cairo hängt ab von python3 (>= 3.5~); aber:                                                                                                                                                                                                                         
  Paket python3 ist noch nicht konfiguriert.                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                               
dpkg: Fehler beim Bearbeiten des Paketes python3-gi-cairo (--configure):                                                                                                                                                                                                       
 Abhängigkeitsprobleme - verbleibt unkonfiguriert                                                                                                                                                                                                                               
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von hplip-data:                                                                                                                                                                                                           
 hplip-data hängt ab von python3:any (>= 3.3.2-2~); aber:                                                                                                                                                                                                                       
  Paket python3 ist noch nicht konfiguriert.                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                               
dpkg: Fehler beim Bearbeiten des Paketes hplip-data (--configure):                                                                                                                                                                                                             
 Abhängigkeitsprobleme - verbleibt unkonfiguriert                                                                                                                                                                                                                               
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-pkg-resources:                                                                                                                                                                                                 
 python3-pkg-resources hängt ab von python3:any (>= 3.3.2-2~); aber:                                                                                                                                                                                                           
  Paket python3 ist noch nicht konfiguriert.                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                               
dpkg: Fehler beim Bearbeiten des Paketes python3-pkg-resources (--configure):                                                                                                                                                                                                   
 Abhängigkeitsprobleme - verbleibt unkonfiguriert                                                                                                                                                                                                                               
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von reportbug:
 reportbug hängt ab von python3:any; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes reportbug (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-reportbug:
 python3-reportbug hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-reportbug (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gedit-common:
 gedit-common hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes gedit-common (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gedit:
 gedit hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 gedit hängt ab von gedit-common (>= 3.22); aber:
  Paket gedit-common ist noch nicht konfiguriert.
 gedit hängt ab von gedit-common (<< 3.23); aber:
  Paket gedit-common ist noch nicht konfiguriert.
 gedit hängt ab von python3-gi-cairo (>= 3.0); aber:
  Paket python3-gi-cairo ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes gedit (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-cairo:
 python3-cairo hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-cairo hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-cairo (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von debian-goodies:
 debian-goodies hängt ab von python3; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes debian-goodies (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von dh-python:
 dh-python hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes dh-python (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-debian:
 python3-debian hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-debian (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von hplip:
 hplip hängt ab von hplip-data (= 3.16.11+repack0-2); aber:
  Paket hplip-data ist noch nicht konfiguriert.
 hplip hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 hplip hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes hplip (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-pil:amd64:
 python3-pil:amd64 hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-pil:amd64 hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-pil:amd64 hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-pil:amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-apt:
 python3-apt hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-apt hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-apt hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-apt (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 python3
 printer-driver-escpr
 python3-gi-cairo
 hplip-data
 python3-pkg-resources
 reportbug
 python3-reportbug
 gedit-common
 gedit
 python3-cairo
 debian-goodies
 dh-python
 python3-debian
 hplip
 python3-pil:amd64
 python3-apt
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@sidbox:/



Kann mir jemand weiterhelfen ?


Vielen Dank
wora
« Last Edit: 2017/02/01, 12:03:13 by wora »

Offline der_bud

  • User
  • Posts: 1.072
  • member
Re: Python3 Abhängigkeiten
« Reply #1 on: 2017/02/01, 11:21:38 »
Bitte zunächst mal nacheinander die beiden Kommandos
Code: [Select]
apt-get install -f
   und   
dpkg --configure -a
ausführen, eventuell verkürzt das schon mal die Fehlerliste...
Du lachst? Wieso lachst du? Das ist doch oft so, Leute lachen erst und dann sind sie tot.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Python3 Abhängigkeiten
« Reply #2 on: 2017/02/01, 11:28:28 »
Vielleicht hilft auch die Installation von gnome-applets-data weiter, falls das im derzeitigen Zustand möglich ist.

Offline wora

  • User
  • Posts: 39
Re: Python3 Abhängigkeiten
« Reply #3 on: 2017/02/01, 11:43:33 »
Hallo der_bud,
Danke für die Tips, leider kein besseres Ergebnis:

Code: [Select]

# apt-get -f install
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
16 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
python3 (3.5.3-1) wird eingerichtet ...
running python rtupdate hooks for python3.5...
dpkg-query: Paket »gnome-applets-data« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gnome-applets-data
error running python rtupdate hook gnome-applets-data
dpkg-query: Paket »python3-uno« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: Paket »rhythmbox-plugins« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg: Fehler beim Bearbeiten des Paketes python3 (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 4 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von printer-driver-escpr:
 printer-driver-escpr hängt ab von python3; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes printer-driver-escpr (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-gi-cairo:
 python3-gi-cairo hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-gi-cairo hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-gi-cairo (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von hplip-data:
 hplip-data hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes hplip-data (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-pkg-resources:
 python3-pkg-resources hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-pkg-resources (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von reportbug:
 reportbug hängt ab von python3:any; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes reportbug (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-reportbug:
 python3-reportbug hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-reportbug (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gedit-common:
 gedit-common hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes gedit-common (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gedit:
 gedit hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 gedit hängt ab von gedit-common (>= 3.22); aber:
  Paket gedit-common ist noch nicht konfiguriert.
 gedit hängt ab von gedit-common (<< 3.23); aber:
  Paket gedit-common ist noch nicht konfiguriert.
 gedit hängt ab von python3-gi-cairo (>= 3.0); aber:
  Paket python3-gi-cairo ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes gedit (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-cairo:
 python3-cairo hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-cairo hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-cairo (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von debian-goodies:
 debian-goodies hängt ab von python3; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes debian-goodies (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von dh-python:
 dh-python hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes dh-python (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-debian:
 python3-debian hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-debian (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von hplip:
 hplip hängt ab von hplip-data (= 3.16.11+repack0-2); aber:
  Paket hplip-data ist noch nicht konfiguriert.
 hplip hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 hplip hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes hplip (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-pil:amd64:
 python3-pil:amd64 hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-pil:amd64 hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-pil:amd64 hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-pil:amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-apt:
 python3-apt hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-apt hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-apt hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-apt (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 python3
 printer-driver-escpr
 python3-gi-cairo
 hplip-data
 python3-pkg-resources
 reportbug
 python3-reportbug
 gedit-common
 gedit
 python3-cairo
 debian-goodies
 dh-python
 python3-debian
 hplip
 python3-pil:amd64
 python3-apt
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@sidbox:/home/rw024419# dpkg --configure -a
python3 (3.5.3-1) wird eingerichtet ...
running python rtupdate hooks for python3.5...
dpkg-query: Paket »gnome-applets-data« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gnome-applets-data
error running python rtupdate hook gnome-applets-data
dpkg-query: Paket »python3-uno« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: Paket »rhythmbox-plugins« ist nicht installiert
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg: Fehler beim Bearbeiten des Paketes python3 (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 4 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von printer-driver-escpr:
 printer-driver-escpr hängt ab von python3; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes printer-driver-escpr (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-gi-cairo:
 python3-gi-cairo hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-gi-cairo hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-gi-cairo (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von hplip-data:
 hplip-data hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes hplip-data (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-pkg-resources:
 python3-pkg-resources hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-pkg-resources (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von reportbug:
 reportbug hängt ab von python3:any; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes reportbug (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-reportbug:
 python3-reportbug hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-reportbug (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gedit-common:
 gedit-common hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes gedit-common (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gedit:
 gedit hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 gedit hängt ab von gedit-common (>= 3.22); aber:
  Paket gedit-common ist noch nicht konfiguriert.
 gedit hängt ab von gedit-common (<< 3.23); aber:
  Paket gedit-common ist noch nicht konfiguriert.
 gedit hängt ab von python3-gi-cairo (>= 3.0); aber:
  Paket python3-gi-cairo ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes gedit (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-cairo:
 python3-cairo hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-cairo hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-cairo (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von debian-goodies:
 debian-goodies hängt ab von python3; aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes debian-goodies (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von dh-python:
 dh-python hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes dh-python (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-debian:
 python3-debian hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-debian (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von hplip:
 hplip hängt ab von hplip-data (= 3.16.11+repack0-2); aber:
  Paket hplip-data ist noch nicht konfiguriert.
 hplip hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 hplip hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes hplip (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-pil:amd64:
 python3-pil:amd64 hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-pil:amd64 hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-pil:amd64 hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-pil:amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python3-apt:
 python3-apt hängt ab von python3 (<< 3.6); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-apt hängt ab von python3 (>= 3.5~); aber:
  Paket python3 ist noch nicht konfiguriert.
 python3-apt hängt ab von python3:any (>= 3.3.2-2~); aber:
  Paket python3 ist noch nicht konfiguriert.
 
dpkg: Fehler beim Bearbeiten des Paketes python3-apt (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 python3
 printer-driver-escpr
 python3-gi-cairo
 hplip-data
 python3-pkg-resources
 reportbug
 python3-reportbug
 gedit-common
 gedit
 python3-cairo
 debian-goodies
 dh-python
 python3-debian
 hplip
 python3-pil:amd64
 python3-apt
root@sidbox:

Ich probiere jetzt mal devils Tip aus.


Danke erstmal
Wora

Offline wora

  • User
  • Posts: 39
Re: Python3 Abhängigkeiten
« Reply #4 on: 2017/02/01, 12:00:48 »
Hallo Devil,
Dein Tip hat mich weitergebracht  :) . Es haben wohl die Pakete python3-uno und rythmbox-plugins gefehlt.
Jetzt scheint alles zu passen.


Danke Euch Beiden
Wora